/* eslint-disable perfectionist/sort-imports */

// core
import { pinia } from "@/pinia";
import { router } from "@/router";
import { installPlugins } from "@/plugins";
import App from "@/App.vue";
// css
import "normalize.css";
import "nprogress/nprogress.css";
import "element-plus/theme-chalk/dark/css-vars.css";
import "vxe-table/lib/style.css";
import "@@/assets/styles/index.scss";
import "@@/assets/iconfont/iconfont.css";
import "virtual:uno.css";
import md5 from 'js-md5';
import * as echarts from 'echarts'
// import BaiduMap from 'vue-baidu-map-3x'

// 创建应用实例
const app = createApp(App);
//md5
app.provide('md5', md5);
// 安装插件（全局组件、自定义指令等）
installPlugins(app);
app.config.globalProperties.$echarts = echarts
// 安装 pinia 和 router
app.use(pinia).use(router);
// //百度地图
// app.use(BaiduMap, {
//   ak: '7yzvYFhbIVXAhpllFyLKAKu6xZDYYlFl',
//   v: '3.0',
//   type: 'WebGL'
// });
// router 准备就绪后挂载应用
router.isReady().then(() => {
  app.mount("#app");
});
